Update a component
curl --request PUT \
--url https://api.devhelm.io/api/v1/status-pages/{id}/components/{componentId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"groupId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"removeFromGroup": true,
"showUptime": true,
"displayOrder": 123,
"excludeFromOverall": true,
"startDate": "2023-12-25"
}
'import requests
url = "https://api.devhelm.io/api/v1/status-pages/{id}/components/{componentId}"
payload = {
"name": "<string>",
"description": "<string>",
"groupId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"removeFromGroup": True,
"showUptime": True,
"displayOrder": 123,
"excludeFromOverall": True,
"startDate": "2023-12-25"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
groupId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
removeFromGroup: true,
showUptime: true,
displayOrder: 123,
excludeFromOverall: true,
startDate: '2023-12-25'
})
};
fetch('https://api.devhelm.io/api/v1/status-pages/{id}/components/{componentId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"statusPageId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"showUptime": true,
"displayOrder": 123,
"pageOrder": 123,
"excludeFromOverall": true,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"groupId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"description": "<string>",
"monitorId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"resourceGroupId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"overrideReason": "<string>",
"overrideExpiresAt": "2023-11-07T05:31:56Z",
"overrideActor": 123,
"startDate": "2023-11-07T05:31:56Z"
}
}{
"status": 404,
"code": "NOT_FOUND",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}{
"status": 404,
"code": "NOT_FOUND",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}{
"status": 404,
"code": "NOT_FOUND",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}{
"status": 404,
"code": "NOT_FOUND",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}{
"status": 404,
"code": "NOT_FOUND",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}{
"status": 404,
"code": "NOT_FOUND",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}{
"status": 404,
"code": "NOT_FOUND",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}{
"status": 404,
"code": "NOT_FOUND",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}Status Pages
Update a component
PUT
/
api
/
v1
/
status-pages
/
{id}
/
components
/
{componentId}
Update a component
Authorizations
API key (dh_live_...) or Auth0 JWT token
Body
application/json
New component name; null preserves current
Maximum string length:
255New description; null preserves current, empty string clears
Maximum string length:
500Move to a different group; null preserves current
Remove the component from its group (default: false)
Whether to show the uptime bar; null preserves current
New position in the component list; null preserves current
Exclude from overall status calculation; null preserves current
Date from which to start showing uptime; null preserves current. Bars never extend earlier than the underlying monitor's createdAt regardless of value
Response
OK
Show child attributes
Show child attributes
⌘I